ltp-debian-bookworm-arm64: &ltp-debian-bookworm-arm64 https://storage.tuxboot.com/overlays/debian/bookworm/arm64/ltp/20240129/ltp.tar.xz

boot-timeout-arm64: &boot-timeout-arm64 10
ltp-smoke-timeout: &ltp-smoke-timeout 15


version: 1
name: bisect kernel with config-bisect
description: bisect kernel with config-bisect
jobs:
- name: arm64-tests
  builds:
    - build_name: gcc-13-lkftconfig
      target_arch: arm64
      toolchain: gcc-13
      kconfig: [ "https://people.linaro.org/~anders.roxell/bisect-g3.config" ]
  tests:
    - device: ssh-device
      host: m7g.large
      overlay: [ *ltp-debian-bookworm-arm64 ]
      tests: [ltp-smoke]
      timeouts: { "boot": *boot-timeout-arm64, "ltp-smoke": *ltp-smoke-timeout }
